package digital.laboratory.platform.imr.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 出库申请状态
 */
@Getter
@RequiredArgsConstructor
public enum OutApplyStatus {


    TO_BE_CONFIRMED(1,"已创建待确认"),

    SUCCESS(2,"已确认待使用"),

    ALREADY_USED(3,"已使用");

    @EnumValue//标记数据库存的值是status
    private final int status;
    @JsonValue//标记返回前端字段
    private final String description;
}
